CPSI(3)

SYNOPSIS
COMPLEX FUNCTION CPSI (ZIN)

NAME
cpsi - Compute the Psi (or Digamma) function.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C7C

TYPE
COMPLEX (PSI-S, DPSI-D, CPSI-C)

KEYWORDS
DIGAMMA FUNCTION, FNLIB, PSI FUNCTION, SPECIAL FUNCTIONS

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
PSI(X) calculates the psi (or digamma) function of X. PSI(X) is the logarithmic derivative of the gamma function of X.

REFERENCES
(NONE)

ROUTINES CALLED
CCOT, R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
780501 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900727 Added EXTERNAL statement. (WRB)